﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class Default24 : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        RadChart1.DataBound += new EventHandler(RadChart1_DataBound);
    }

    void RadChart1_DataBound(object sender, EventArgs e)
    {
        foreach (var series in RadChart1.Series)
        {
            series.Appearance.EmptyValue.Mode = Telerik.Charting.Styles.EmtyValuesMode.Zero;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {

        DataTable tbl = new DataTable();
        DataColumn col = new DataColumn("Name");
        col.DataType = typeof(string);
        tbl.Columns.Add(col);
        col = new DataColumn("Value");
        col.DataType = typeof(int);
        tbl.Columns.Add(col);
        col = new DataColumn("Date");
        col.DataType = typeof(int);
        tbl.Columns.Add(col);

        tbl.Rows.Add(new object[] { "Name1", 5, DateTime.Today.ToOADate() });
        tbl.Rows.Add(new object[] { "Name1", 5, DateTime.Today.AddDays(1).ToOADate() });
        tbl.Rows.Add(new object[] { "Name1", 4, DateTime.Today.AddDays(2).ToOADate() });
        tbl.Rows.Add(new object[] { "Name1", DBNull.Value, DateTime.Today.AddDays(3).ToOADate() });
        tbl.Rows.Add(new object[] { "Name1", 5, DateTime.Today.AddDays(4).ToOADate() });
        tbl.Rows.Add(new object[] { "Name1", 5, DateTime.Today.AddDays(5).ToOADate() });

        tbl.Rows.Add(new object[] { "Name2", 7, DateTime.Today.ToOADate() });
        tbl.Rows.Add(new object[] { "Name2", 7, DateTime.Today.AddDays(1).ToOADate() });
        tbl.Rows.Add(new object[] { "Name2", DBNull.Value, DateTime.Today.AddDays(2).ToOADate() });
        tbl.Rows.Add(new object[] { "Name2", 3, DateTime.Today.AddDays(3).ToOADate() });
        tbl.Rows.Add(new object[] { "Name2", 6, DateTime.Today.AddDays(4).ToOADate() });
        tbl.Rows.Add(new object[] { "Name2", 5, DateTime.Today.AddDays(5).ToOADate() });

        RadChart1.PlotArea.XAxis.Appearance.ValueFormat = Telerik.Charting.Styles.ChartValueFormat.ShortDate;
        RadChart1.PlotArea.XAxis.IsZeroBased = false;
        RadChart1.DataGroupColumn = "Name";
        RadChart1.DataManager.ValuesXColumn = "Date";
        RadChart1.DataManager.ValuesYColumns = new string[] { "Value" };

        RadChart1.DataSource = tbl;
        RadChart1.DataBind();
    }
}
